check_tx - TAC
Example code for the check_tx JSON-RPC method. Complete guide on how to use check_tx JSON-RPC in GetBlock Web3 documentation.
Runs a CheckTx against the application for a transaction without broadcasting it, returning the validation result.
Method
check_txParameters
Parameter
Type
Description
tx
string
Base64-encoded signed transaction
Example
export TAC_TM=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/
# JSON-RPC over HTTP (POST)
curl -X POST "${TAC_TM}" -H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "id": "getblock.io", "method": "check_tx", "params": {"tx": "Cg8KQ..."}}'
# URI over HTTP (GET)
curl "${TAC_TM}check_tx?tx=Cg8KQ..."Response
Response Fields
Field
Type
Description
code
number
Validation result code (0 = valid)
gas_wanted
string
Declared gas limit
gas_used
string
Gas used by CheckTx
Use Cases
Dry run: Validate a transaction before broadcasting
Error Handling
Error
Message
Description
-32600 / Invalid request
Invalid request
The JSON-RPC envelope was malformed
-32602 / Invalid params
Invalid params
A parameter was missing or of the wrong type
403 / RBAC: access denied
Access denied
The GetBlock access token is missing or incorrect
Was this helpful?